KHTMLPageCache Class Reference

`#include <khtml_pagecache.h>`

Inherits QObject.

## Public Member Functions

long | createCacheEntry ()
void | addData (long id, const QByteArray &data)
void | endData (long id)
void | cancelEntry (long id)
bool | isValid (long id)
bool | isComplete (long id)
void | fetchData (long id, QObject *recvObj, const char *recvSlot)
void | cancelFetch (QObject *recvObj)
void | saveData (long id, QDataStream *str)

## Static Public Member Functions

static KHTMLPageCache * | self ()

## Detailed Description

Singleton Object that handles a binary cache on top of the http cache management of kio.

A limited number of HTML pages are stored in this cache. This cache is used for the history and operations like "view source". These operations always want to use the original document and don't want to fetch the data from the network again.

It operates completely independent from the kio_http cache.

Definition at line 41 of file khtml_pagecache.h.

## Member Function Documentation

void KHTMLPageCache::addData | ( | long | id,
|  | const QByteArray & | data
| ) |  |

Add `data` to the cache entry with id `id`.

Definition at line 158 of file khtml_pagecache.cpp.

void KHTMLPageCache::cancelEntry | ( | long | id | ) |

Cancel the entry.

Definition at line 174 of file khtml_pagecache.cpp.

void KHTMLPageCache::cancelFetch | ( | QObject * | recvObj | ) |

Cancel sending data to `recvObj`.

Definition at line 218 of file khtml_pagecache.cpp.

long KHTMLPageCache::createCacheEntry | ( |  | ) |

Create a new cache entry.

Returns
  a cache entry ID is returned.

Definition at line 143 of file khtml_pagecache.cpp.

void KHTMLPageCache::endData | ( | long | id | ) |

Signal end of data for the cache entry with id `id`.

After calling this the entry is marked complete

Definition at line 166 of file khtml_pagecache.cpp.

void KHTMLPageCache::fetchData | ( | long | id,
|  | QObject * | recvObj,
|  | const char * | recvSlot
| ) |  |

Fetch data for cache entry `id` and send it to slot `recvSlot` in the object `recvObj`.

Definition at line 200 of file khtml_pagecache.cpp.

bool KHTMLPageCache::isComplete | ( | long | id | ) |

Returns
  true when the cache entry with id `is` still valid, and the complete data is available for reading

Definition at line 191 of file khtml_pagecache.cpp.

bool KHTMLPageCache::isValid | ( | long | id | ) |

Returns
  true when the cache entry with id `is` still valid, and at least some of the data is available for reading (the complete data may not yet be loaded)

Definition at line 185 of file khtml_pagecache.cpp.

void KHTMLPageCache::saveData | ( | long | id,
|  | QDataStream * | str
| ) |  |

Save the data of cache entry `id` to the datastream `str`.

Definition at line 272 of file khtml_pagecache.cpp.

KHTMLPageCache * KHTMLPageCache::self | ( |  | ) |

static

static "constructor".

Returns
  returns a pointer to the cache, if it exists. creates a new cache otherwise.

Definition at line 121 of file khtml_pagecache.cpp.

The documentation for this class was generated from the following files:

- khtml_pagecache.h
- khtml_pagecache.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys